#ifndef G4HumanPhantomSD_h
#define G4HumanPhantomSD_h 1

#include "G4HumanPhantomHit.h"

#include "G4VSensitiveDetector.hh"

class G4Step;

class G4HumanPhantomSD : public G4VSensitiveDetector {
public:
    G4HumanPhantomSD(const G4String& name, const G4String& hitsCollectionName);
    ~G4HumanPhantomSD();

    void Initialize(G4HCofThisEvent*);
    G4bool ProcessHits(G4Step*, G4TouchableHistory*);
    void EndOfEvent(G4HCofThisEvent*);

private:
    G4HumanPhantomHitsCollection* collection;
};
#endif
